Type to search.

Upload a CSV file to add entities to a watchlist

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Uploads a CSV file to add entities to a watchlist. The CSV must contain a header row with a "type" column (user, host, service, or generic) and one or more ECS identity fields (e.g. "user.name", "host.hostname") used to match entities in the entity store.

Matched entities are added to the watchlist and their entity.attributes.watchlists field is updated in the entity store.

Each row will match up to 10,000 entities.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

watchlist_id string required

The ID of the watchlist to add entities to

Example: high-risk-vendors

Request body

file string · format: binary required

The CSV file to upload.

Responses

Upload successful

application/json
failed integer required

Number of rows that failed to process

items object[] required
error string

Error message if the row failed to process

matchedEntities integer required

Number of entities matched for this row

status enum required
Values: success failure unmatched
successful integer required

Number of rows that matched at least one entity

total integer required

Total number of rows processed

unmatched integer required

Number of rows that matched no entities

413

File too large